{
  "$schema": "https://raw.githubusercontent.com/electron-userland/electron-builder/master/packages/app-builder-lib/scheme.json",
  "appId": "IP",
  "publish": {
    "provider": "generic",
    "url": "https://xiazaigengxin-1417293730.cos.ap-guangzhou.myqcloud.com/updates"
  },
  "asar": true,
  "asarUnpack": [
    "scripts/**/*"
  ],
  "npmRebuild": true,
  "productName": "天英超级IP智能体",
  "directories": {
    "output": "dist-release-final",
    "buildResources": "electron/resources/build"
  },
  "afterPack": "./scripts/build_optimize.cjs",
  "files": [
    "dist",
    "dist-electron",
    {
      "from": "demo",
      "to": "demo",
      "filter": [
        "*.md",
        "*.html"
      ]
    },
    "scripts",
    "!node_modules/date-fns{,/**/*}",
    "!node_modules/fluent-ffmpeg{,/**/*}",
    "!node_modules/ttf2woff2{,/**/*}",
    "!node_modules/vue-timeago3{,/**/*}",
    "!node_modules/pdfkit{,/**/*}",
    "!node_modules/fontkit{,/**/*}",
    "!node_modules/@resvg{,/**/*}",
    "!node_modules/moment{,/**/*}",
    "!node_modules/tldts{,/**/*}",
    "!node_modules/polished{,/**/*}",
    "!node_modules/caniuse-lite{,/**/*}",
    "!node_modules/csso{,/**/*}",
    "!node_modules/cheerio{,/**/*}",
    "!node_modules/svgo{,/**/*}",
    "!node_modules/@jimp{,/**/*}",
    "!node_modules/jimp{,/**/*}",
    "!node_modules/lit{,/**/*}",
    "!node_modules/emoji-mart{,/**/*}",
    "!node_modules/@mswjs{,/**/*}",
    "!node_modules/graphql{,/**/*}",
    "!node_modules/mermaid{,/**/*}",
    "!node_modules/@lobehub{,/**/*}",
    "!node_modules/@emoji-mart{,/**/*}",
    "!node_modules/@arco-design{,/**/*}",
    "!node_modules/lucide-react{,/**/*}",
    "!node_modules/typescript{,/**/*}",
    "!node_modules/@shikijs{,/**/*}",
    "!node_modules/@vue{,/**/*}",
    "!node_modules/@babel{,/**/*}",
    "!node_modules/@mermaid-js{,/**/*}",
    "!node_modules/@splinetool{,/**/*}",
    "!node_modules/concurrently{,/**/*}",
    "!node_modules/tailwindcss{,/**/*}",
    "!node_modules/msw{,/**/*}",
    "!node_modules/cytoscape{,/**/*}",
    "!node_modules/cytoscape-fcose{,/**/*}",
    "!node_modules/framer-motion{,/**/*}",
    "!node_modules/katex{,/**/*}",
    "!node_modules/rxjs{,/**/*}",
    "!node_modules/langium{,/**/*}",
    "!node_modules/openai{,/**/*}",
    "!node_modules/@emotion{,/**/*}",
    "!node_modules/d3{,/**/*}",
    "!node_modules/vue{,/**/*}",
    "!node_modules/vue-router{,/**/*}",
    "!node_modules/vue-i18n{,/**/*}",
    "!node_modules/pinia{,/**/*}",
    "!node_modules/xgplayer{,/**/*}",
    "!node_modules/wavesurfer.js{,/**/*}",
    "!node_modules/showdown{,/**/*}",
    "!node_modules/dompurify{,/**/*}",
    "!node_modules/file-saver{,/**/*}",
    "!node_modules/qrcode{,/**/*}",
    "!node_modules/canvg{,/**/*}",
    "!node_modules/svg2img{,/**/*}",
    "!node_modules/svgtofont{,/**/*}",
    "!node_modules/mddir{,/**/*}",
    "!node_modules/@types{,/**/*}",
    "!node_modules/vite{,/**/*}",
    "!node_modules/vite-plugin-electron{,/**/*}",
    "!node_modules/vite-plugin-electron-renderer{,/**/*}",
    "!node_modules/@vitejs{,/**/*}",
    "!node_modules/vue-tsc{,/**/*}",
    "!node_modules/less{,/**/*}",
    "!node_modules/postcss{,/**/*}",
    "!node_modules/autoprefixer{,/**/*}",
    "!node_modules/sass-embedded{,/**/*}",
    "!node_modules/sass-embedded-win32-x64{,/**/*}",
    "!node_modules/electron-builder{,/**/*}",
    "!node_modules/app-builder-bin{,/**/*}",
    "!node_modules/7zip-bin{,/**/*}",
    "!node_modules/wait-on{,/**/*}"
  ],
  "win": {
    "icon": "electron/resources/build/logo.ico",
    "target": [
      {
        "target": "dir",
        "arch": [
          "x64"
        ]
      }
    ],
    "artifactName": "${productName}-${version}-win-${arch}.${ext}",
    "extraResources": [
      {
        "from": "electron/resources/extra",
        "to": "extra",
        "filter": [
          "common/default-config.json",
          "common/resource-manifest.json",
          "common/shuiziren/**/*",
          "common/soundEffects/**/*",
          "common/config/default-templates.json",
          "common/config/default-subtitle-templates.json",
          "common/config/preset_templates.json",
          "common/config/default-ipagent-config.json",
          "common/config/system-templates.json",
          "common/python-scripts/**/*",
          "common/soundEffects/**/*",
          "stickers/**/*",
          "common/cover-templates/huangbai-shishi.jpg",
          "common/cover-templates/landi-baizi.jpg",
          "common/cover-templates/dasi-baobao.jpg",
          "common/cover-templates/xiehanghuangbai.jpg",
          "common/cover-templates/fenghong-xubai.jpg",
          "common/cover-templates/renyixujzhong.jpg",
          "common/cover-templates/qinglan-xushi.png",
          "common/cover-templates/honghang-xushi.png",
          "common/cover-templates/baihang-xushi.png",
          "common/cover-templates/subtitle-preview-template_system_11.png",
          "common/cover-templates/subtitle-preview-template_system_classic_11.png",
          "common/cover-templates/subtitle-preview-template_system_22.png",
          "common/cover-templates/subtitle-preview-template_system_classic_22.png",
          "common/cover-templates/subtitle-preview-template_system_33.png",
          "common/cover-templates/subtitle-preview-template_system_classic_33.png",
          "common/cover-templates/subtitle-preview-template_system_44.png",
          "common/cover-templates/subtitle-preview-template_system_classic_44.png",
          "common/cover-templates/subtitle-preview-template_system_55.png",
          "common/cover-templates/subtitle-preview-template_system_classic_55.png",
          "common/cover-templates/subtitle-preview-template_system_66.png",
          "common/cover-templates/subtitle-preview-template_system_classic_66.png",
          "common/cover-templates/subtitle-preview-template_system_77.png",
          "common/cover-templates/subtitle-preview-template_system_classic_77.png",
          "common/cover-templates/subtitle-preview-template_system_88.png",
          "common/cover-templates/subtitle-preview-template_system_classic_88.png"
        ]
      },
      {
        "from": "electron/resources/voice-preview-cache",
        "to": "voice-preview-cache"
      },
      {
        "from": "electron/resources/build",
        "to": "build",
        "filter": [
          "tray.png",
          "tray.ico",
          "logo.png",
          "logo.ico"
        ]
      }
    ]
  },
  "nsis": {
    "artifactName": "${productName}-${version}-win-setup-${arch}.${ext}",
    "shortcutName": "${productName}",
    "uninstallDisplayName": "${productName}",
    "oneClick": false,
    "perMachine": false,
    "allowToChangeInstallationDirectory": true,
    "deleteAppDataOnUninstall": false,
    "differentialPackage": false,
    "include": "scripts/installer.nsh",
    "warningsAsErrors": false,
    "runAfterFinish": true,
    "allowElevation": true,
    "installerIcon": "electron/resources/build/logo.ico",
    "uninstallerIcon": "electron/resources/build/logo.ico",
    "installerHeaderIcon": "electron/resources/build/logo.ico"
  },
  "appx": {
    "identityName": "IP",
    "publisher": "CN=XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXX",
    "publisherDisplayName": "天英超级IP智能体",
    "languages": [
      "zh-CN",
      "en-US",
      "zh-TW"
    ]
  },
  "mac": {
    "icon": "logo.icns",
    "target": [
      {
        "target": "dir",
        "arch": [
          "x64",
          "arm64"
        ]
      }
    ],
    "artifactName": "${productName}-${version}-mac-${arch}.${ext}",
    "extraResources": [
      {
        "from": "electron/resources/extra",
        "to": "extra",
        "filter": [
          "common",
          "osx"
        ]
      },
      {
        "from": "electron/resources/voice-preview-cache",
        "to": "voice-preview-cache"
      }
    ],
    "x64ArchFiles": "Contents/Resources/extra/**/*",
    "entitlementsInherit": "./entitlements.mac.plist",
    "entitlements": "./entitlements.mac.plist",
    "extendInfo": {
      "NSDocumentsFolderUsageDescription": "Application requests access to the user's Documents folder.",
      "NSDownloadsFolderUsageDescription": "Application requests access to the user's Downloads folder."
    },
    "type": "development",
    "notarize": false,
    "darkModeSupport": false,
    "hardenedRuntime": true,
    "identity": "Xi'an Yanyi Information Technology Co., Ltd (Q96H3H33RK)"
  },
  "linux": {
    "icon": "logo.icns",
    "desktop": "logo",
    "maintainer": "天英超级IP智能体",
    "category": "Utility",
    "target": [
      {
        "target": "AppImage",
        "arch": [
          "x64",
          "arm64"
        ]
      },
      {
        "target": "deb",
        "arch": [
          "x64",
          "arm64"
        ]
      }
    ],
    "artifactName": "${productName}-${version}-linux-${arch}.${ext}",
    "extraResources": [
      {
        "from": "electron/resources/extra",
        "to": "extra",
        "filter": [
          "common",
          "linux"
        ]
      },
      {
        "from": "electron/resources/voice-preview-cache",
        "to": "voice-preview-cache"
      }
    ]
  },
  "afterSign": "./scripts/notarize.cjs"
}